<form class="{{cssClass}} flexcol" autocomplete="off">
    <header class="sheet-header flexrow">
        <img class="profile" src="{{actor.img}}" title="{{actor.name}}" alt="{{actor.name}}"
             data-edit="img">
        <section class="header-details flexrow">
            <h1 class="charnam">
                <input name="name" type="text" value="{{actor.name}}"
                       placeholder="{{localize 'mez5e.Name'}}">
            </h1>
            <ul class="summary flexrow">
                <li>
                    <span>{{lookup config.actorSizes data.traits.size}}</span>
                </li>
                <li>
                    <span>{{localize 'mez5e.Vehicle'}}</span>
                </li>
                <li>
                    <input type="text" name="data.traits.dimensions"
                           value="{{data.traits.dimensions}}"
                           placeholder="{{localize 'mez5e.Dimensions'}}">
                </li>
                <li>
                    <input type="text" name="data.details.source"
                           value="{{data.details.source}}"
                           placeholder="{{localize 'mez5e.Source'}}">
                </li>
            </ul>
            <ul class="attributes flexrow">
                <li class="attribute health">
                    <h4 class="attribute-name box-title">{{localize 'mez5e.HitPoints'}}</h4>
                    <div class="attribute-value multiple">
                        <input name="data.attributes.hp.value" type="text" placeholder="&mdash;"
                               value="{{data.attributes.hp.value}}" data-dtype="Number">
                        <span class="sep"> &sol; </span>
                        <input name="data.attributes.hp.max" type="text" placeholder="&mdash;"
                               value="{{data.attributes.hp.max}}" data-dtype="Number">
                    </div>
                    <footer class="attribute-footer">
                        <input name="data.attributes.hp.dt" type="text" class="temphp"
                               placeholder="{{localize 'mez5e.Threshold'}}"
                               value="{{data.attributes.hp.dt}}" data-dtype="Number">
                        <input name="data.attributes.hp.mt" type="text" class="temphp"
                               placeholder="{{localize 'mez5e.VehicleMishap'}}"
                               value="{{data.attributes.hp.mt}}" data-dtype="Number">
                    </footer>
                </li>
                <li class="attribute">
                    <h4 class="attribute-name box-title">{{localize 'mez5e.ArmorClass'}}</h4>
                    <div class="attribute-value">
                        <input name="data.attributes.ac.value" type="text" placeholder="&mdash;"
                               value="{{data.attributes.ac.value}}" data-dtype="Number">
                    </div>
                    <footer class="attribute-footer">
                        <input type="text" name="data.attributes.ac.motionless"
                               placeholder="&mdash;" value="{{data.attributes.ac.motionless}}">
                    </footer>
                </li>
                <li class="attribute movement">
                    <h4 class="attribute-name box-title">
                        {{ localize "mez5e.Movement" }}
                        <a class="config-button" data-action="movement" title="{{localize 'mez5e.MovementConfig'}}"><i class="fas fa-cog"></i></a>
                    </h4>
                    <div class="attribute-value">
                        <span>{{movement.primary}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{movement.special}}</span>
                    </footer>
                </li>
            </ul>
        </section>
    </header>
 
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="attributes">{{localize 'mez5e.Attributes'}}</a>
        <a class="item" data-tab="features">{{localize 'mez5e.Features'}}</a>
        <a class="item" data-tab="cargo">{{localize 'mez5e.VehicleCargoCrew'}}</a>
        <a class="item" data-tab="biography">{{localize 'mez5e.Description'}}</a>
    </nav>
 
    <section class="sheet-body">
        <div class="tab attributes flexrow" data-group="primary" data-tab="attributes">
            <ul class="ability-scores flexrow">
            {{#each data.abilities as |ability id|}}
                <li class="ability" data-ability="{{id}}">
                    <h4 class="ability-name box-title rollable">{{ability.label}}</h4>
                    <input class="ability-score" name="data.abilities.{{id}}.value" type="text"
                           value="{{ability.value}}" data-dtype="Number" placeholder="0">
                    <div class="ability-modifiers flexrow">
                        <span class="ability-mod" title="{{localize 'mez5e.Modifier'}}">
                            {{numberFormat ability.mod decimals=0 sign=true}}
                        </span>
                    </div>
                </li>
            {{/each}}
            </ul>
            <section class="center-pane flexcol">
                <div class="counters">
                    <div class="counter flexrow creature-cap">
                        <h4>{{localize 'mez5e.VehicleCreatureCapacity'}}</h4>
                        <div class="counter-value">
                            <input type="text" placeholder="&mdash;"
                                   name="data.attributes.capacity.creature"
                                   value="{{data.attributes.capacity.creature}}">
                        </div>
                    </div>
                    <div class="counter flexrow cargo-cap">
                        <h4>{{localize 'mez5e.VehicleCargoCapacity'}}</h4>
                        <div class="counter-value">
                            <input type="text" name="data.attributes.capacity.cargo" placeholder="0"
                                   data-dtype="Number" value="{{data.attributes.capacity.cargo}}">
                        </div>
                    </div>
                    <div class="counter flexrow stations">
                        <h4>{{localize 'mez5e.VehicleActionStations'}}</h4>
                        <div class="counter-value">
                            <input name="data.attributes.actions.stations" type="checkbox"
                                   data-dtype="Boolean" value="{{data.attributes.actions.stations}}"
                                   {{checked data.attributes.actions.stations}}>
                        </div>
                    </div>
                    <div class="counter flexrow actions">
                        <h4>{{localize 'mez5e.ActionPl'}}</h4>
                        <div class="counter-value">
                            <input type="text" name="data.attributes.actions.value" placeholder="0"
                                   data-dtype="Number" value="{{data.attributes.actions.value}}">
                        </div>
                    </div>
                    <div class="counter flexrow action-thresholds">
                        <h4>{{localize 'mez5e.VehicleActionThresholds'}}</h4>
                        <div class="counter-value">
                            <span class="sep">&lt;</span>
                            <input type="text" placeholder="&mdash;" data-dtype="Number"
                                   value="{{data.attributes.actions.thresholds.[2]}}"
                                   name="data.attributes.actions.thresholds.2">
                            <span class="sep">&lt;</span>
                            <input type="text" placeholder="&mdash;" data-dtype="Number"
                                   value="{{data.attributes.actions.thresholds.[1]}}"
                                   name="data.attributes.actions.thresholds.1">
                            <span class="sep">&lt;</span>
                            <input type="text" placeholder="&mdash;" data-dtype="Number"
                                   value="{{data.attributes.actions.thresholds.[0]}}"
                                   name="data.attributes.actions.thresholds.0">
                        </div>
                    </div>
                </div>
                {{> 'systems/mez5e/templates/actors/parts/actor-traits.html'}}
            </section>
        </div>
 
        <div class="tab features flexcol" data-group="primary" data-tab="features">
            {{> 'systems/mez5e/templates/actors/parts/actor-features.html' sections=features}}
        </div>
 
        <div class="tab cargo flexcol" data-group="primary" data-tab="cargo">
            {{> 'systems/mez5e/templates/actors/parts/actor-inventory.html' sections=cargo}}
        </div>
 
        <div class="tab biography flexcol" data-group="primary" data-tab="biography">
            {{editor content=data.details.biography.value target='data.details.biography.value'
                     button=true owner=owner editable=editable}}
        </div>
    </section>
</form>
 

